Subject: Is there an easy way for non-privileged users to determine an interface's speed?

From: Mark Seger <[email-masked]>
Date: Tue, 15 Jan 2008 16:07:21 -0500

I think the current answer is they can't but I also wanted to confirm it 
with this list.  I had hoped I might be able to find it in /proc, /sys 
or with a utility like ethtool or even ifconfig, but alas it's nowhere 
to be seen.  So if I'm correct, that leads to the second question of why 
not?  Would it be that tough to put it in under /sys/class/net/*?  One 
of the reasons I ask is that I'd like to be able to tell if a network 
pipe is nearing its capacity and so be able to alert someone about it 
when it occurs.
-mark